sff2g3(1)

NAME
sff2g3 - convert CAPI SFF fax files into G3 fax files

SYNOPSIS
sff2g3 [-r] [-d] [-v] input.SFF output.%03d.g3

DESCRIPTION
Reads a Common ISDN API (CAPI) structured file format (SFF) input file, and converts every fax page contained in it to a raw G3 fax file. The input SFF files typically come from fax reception programs using CAPI on active ISDN cards (isdn4linux, AVM or DIVA cards) or similar. The output G3 files are in the ``native'' format that all other G3 utilites in the mgetty+sendfax package use. If the input file name is ``-'', sff2g3 will read from stdin. The output file name should contain a ``%d'' or ``%03d'' part. It will be replaced with the current page number. If there is no page number field, only the last page in the SFF file will be saved.

OPTIONS

-r  reverse the bit order in the bytes of the output G3 file. The input bit order is fixed.

-d  will one day make sff2g3 prepend a digifax header to the page.

-v  verbose mode - show what's going on. Multiple -v arguments increase debug output level.

REFERENCES
The standard for Group 3 fax is defined in CCITT Recommendation T.4. The SFF file format is specified in the CAPI specs (http://www.capi.org).

BUGS
The -d option isn't implemented yet. The output file name is not yet robust against format string attacks.

SEE ALSO
g32pbm(1), pbm(5)

AUTHOR
sff2g3 is Copyright (C) 2004 by Gert Doering, <gert@greenie.muc.de>.